%
%  PSD_library.m  ver 1.0  October 15, 2012
%
function[f,a]=PSD_library()
%
disp(' Select input PSD      ');
disp('   1=MIL-STD-1540B QTP ');
disp('   2=MIL-STD-1540B ATP ');
disp('   3=NAVMAT P9495      ');
disp('   4=NASA CEQATR AVT   '); 
disp('   5=NASA-STD-7001     ');
ilibrary=input(' ');
%
if(ilibrary==1 || ilibrary==2 ) % MIL-STD-1540B ATP 
	    f(1)=20.;	
		a(1)=0.0053;
		f(2)=150.;	
		a(2)=0.04;
		f(3)=600.;
		a(3)=0.04;
		f(4)=2000.; 
		a(4)=0.0036;
end
if(ilibrary==1) % MIL-STD-1540B QTP 
		a(1)=a(1)*4.;
		a(2)=a(2)*4.;
		a(3)=a(3)*4.;
		a(4)=a(4)*4.;
end
if(ilibrary==3) % NAVMAT P9495 
		f(1)=20.;	
		a(1)=0.01;
		f(2)=80.;	
		a(2)=0.04;
		f(3)=350.;
		a(3)=0.04;
		f(4)=2000.; 
		a(4)=0.007;
end 
if(ilibrary==4) % NASA CEQATR AVT
		f(1)=20.;	
		a(1)=0.01;
		f(2)=80.;	
		a(2)=0.04;
		f(3)=800.;
		a(3)=0.04;
		f(4)=2000.; 
		a(4)=0.01;
end
if(ilibrary==5) % NASA-STD-7001 
		f(1)=20.;	
		a(1)=0.01;
		f(2)=80.;	
		a(2)=0.04;
		f(3)=500.;
		a(3)=0.04;
		f(4)=2000.; 
		a(4)=0.01;
end      